Operating System field Is empty on debian wheezy
Pull request:

Description

When listing host on Foreman
Operating system field Is empty for wheezy (debian testing)
Maybe also empty for Unstable

On lenny:

Operating System -> Debian 5.0
On squeeze:

Operating System -> Debian 6.0

1. On squeeze

facter |grep "Isb\|operating”

Isbdistcodename => squeeze

Isbdistdescription => Debian GNU/Linux 6.0.5 (squeeze)
Isbdistid => Debian

Isbdistrelease => 6.0.5

Isbmajdistrelease => 6

operatingsystem => Debian

operatingsystemrelease => 6.0.5

1. On wheezy

cat /etc/debian_version

wheezy/sid

dpkg -l |grep Isb

ii Isb-base
ii Isb-release

facter |grep "Isb\|operating”

Isbdistcodename => wheezy

Isbdistdescription => Debian GNU/Linux testing (wheezy)
Isbdistid => Debian

Isbdistrelease => testing

Isbmajdistrelease => testing

operatingsystem => Debian

operatingsystemrelease => wheezy/sid
Associated revisions

Revision c604dec7 - 01/08/2013 07:37 AM - Nicolas Dandrimont

Fixes #1884 - hardcode a version number for Debian's testing/unstable suites

History

#1 - 10/04/2012 05:24 AM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

| can take a look at this. | tried to fix it a while back, but never finished it :)

#2 - 12/24/2012 09:09 AM - Nicolas Dandrimont

- File 0001-Hardcode-a-version-number-for-Debian-s-testing-and-u.patch added

Here is a tested patch special-casing Debian's testing and unstable versions, assigning them a version number.

| future-proofed it somewhat by taking into account the codename for the future future stable version, jessie.

Have a nice day,
Nicolas

#3 - 01/04/2013 12:49 PM - Dominic Cleal
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/351

#4 - 01/08/2013 07:37 AM - Ohad Levy

- Target version setto 1.1

#5 - 01/08/2013 08:25 AM - Nicolas Dandrimont
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c604dec773bba3729f4f3cdcd0668807dc94b71b.

Files

0001-Hardcode-a-version-number-for-Debian-s-testing-and-u.patch ~ 1.14 KB 12/24/2012
